Name:		nagios-plugins-plesk
Version:	0.6
Release:	2.4
Url:		http://www.linux-administrator.com
Group:		System/Monitoring
Summary:	Plugins and aliases for plesk servers.
License:	GPL
Source0:	check_mysql_plesk
Source1:	check_stale_lock2
Source10:	plesk.cfg
Source11:	lock.cfg
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
AutoReqProv:	off
BuildRequires:	nagios-plugins nagios-nrpe nagios-plugins-disks bash
Requires:	nagios-plugins nagios-nrpe nagios-plugins-disks bash

%description
Plugins and alias definitions to check various services on Plesk servers.

%prep

%build

%install
%__install -d %{buildroot}%{_prefix}/lib/nagios/plugins
%__install -d %{buildroot}%{_sysconfdir}/nagios/nrpe.d
%__install -m755 %{S:0} %{buildroot}%{_prefix}/lib/nagios/plugins/check_mysql_plesk
%__install -m755 %{S:1} %{buildroot}%{_prefix}/lib/nagios/plugins/check_stale_lock2
%__install -m644 %{S:10} %{buildroot}%{_sysconfdir}/nagios/nrpe.d/plesk.cfg
%__install -m644 %{S:11} %{buildroot}%{_sysconfdir}/nagios/nrpe.d/lock.cfg

%clean
rm -rf %{buldroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/nagios
%dir %{_sysconfdir}/nagios/nrpe.d
%config(noreplace) %{_sysconfdir}/nagios/nrpe.d/plesk.cfg
%config(noreplace) %{_sysconfdir}/nagios/nrpe.d/lock.cfg
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_mysql_plesk
%{_prefix}/lib/nagios/plugins/check_stale_lock2

%changelog
* Fri Jul 21 2023 Carsten Schoene <carsten.schoene@internetx.com>
- added check_postfix_queue, check_proc_httpd, check_proc_nginx definitions
* Wed Dec  2 2015 cs@linux-administrator.com
- added check_stale_lock2 plugin and definition in lock.cfg
* Fri Aug  2 2013 cs@linux-administrator.com
- added check_qmail_queue definition to config
* Tue Oct 16 2012 cs@linux-administrator.com
- remove check_disks from package, it's moved to a standalone one
- require new check_disks package
* Wed Sep  5 2012 cs@linux-administrator.com
- initial build
